For the complete documentation index, see llms.txt. This page is also available as Markdown.

AccountsPayableService

Manage accounts payable records.

Symitar eDocs References: Coming soon.

Operations

getVendorSelectFields

post

Returns selected fields for a vendor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
Responses
200

Successful operation.

application/json
post/getVendorSelectFields
POST /nexum/627/persistent/accountspayable/getVendorSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "SelectableFields": {
    "IncludeAllVendorFields": false,
    "VendorFields": {
      "Number": true,
      "Name": true,
      "Payee": true,
      "Street": true,
      "City": true,
      "State": true,
      "ZipCode": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Vendor": {
    "Number": "NXW45704",
    "Name": "NEXUM W704",
    "Payee": "NEXUMW704",
    "Street": "123 TEST ST",
    "City": "TEST",
    "State": "CA",
    "ZipCode": "90000"
  },
  "MessageId": "getVendorSelectFields"
}

getVendorSelectFieldsFilterChildren

post

Retrieves a vendor with selected fields and filtered children.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
Responses
200

Successful operation.

application/json
post/getVendorSelectFieldsFilterChildren
POST /nexum/627/persistent/accountspayable/getVendorSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 259

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NEXW45",
  "SelectableFields": {
    "IncludeAllVendorFields": true
  },
  "ChildrenSearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Vendor": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getVendorSelectFieldsFilterChildren"
}

getInvoiceSelectFields

post

Returns selected fields for an invoice.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getInvoiceSelectFields
POST /nexum/627/persistent/accountspayable/getInvoiceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 390

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "InvoiceDate": true,
      "DueDateFinal": true,
      "TotalInvoiceAmtDue": true,
      "Type": true,
      "Status": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Invoice": {
    "Locator": 1,
    "Number": "NXW45704-1",
    "Description": "NEXUM VALIDATION INVOICE",
    "InvoiceDate": "2026-07-04",
    "DueDateFinal": "2026-07-31",
    "TotalInvoiceAmtDue": "1.00",
    "Type": 0,
    "Status": 0
  },
  "MessageId": "getInvoiceSelectFields"
}

getInvoiceSelectFieldsFilterChildren

post

Retrieves an invoice with selected fields and filtered children.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getInvoiceSelectFieldsFilterChildren
POST /nexum/627/persistent/accountspayable/getInvoiceSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 279

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NEXW45",
  "InvoiceLocator": 1,
  "SelectableFields": {
    "IncludeAllInvoiceFields": true
  },
  "ChildrenSearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Invoice": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getInvoiceSelectFieldsFilterChildren"
}

getInvoicePagedListSelectFields

post

Returns a page of invoice selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getInvoicePagedListSelectFields
POST /nexum/627/persistent/accountspayable/getInvoicePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 385

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "TotalInvoiceAmtDue": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Invoice": [
    {
      "Locator": 1,
      "Number": "NXW45704-1",
      "Description": "NEXUM VALIDATION INVOICE",
      "TotalInvoiceAmtDue": "1.00"
    }
  ],
  "Token": null,
  "MessageId": "getInvoicePagedListSelectFields"
}

searchInvoicePagedSelectFields

post

Searches invoices and returns selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchInvoicePagedSelectFields
POST /nexum/627/persistent/accountspayable/searchInvoicePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 432

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "SearchFilter": {
    "Query": "NUMBER='NXW45704-1'"
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceFields": false,
    "InvoiceFields": {
      "Locator": true,
      "Number": true,
      "Description": true,
      "TotalInvoiceAmtDue": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Invoice": [
    {
      "Locator": 1,
      "Number": "NXW45704-1",
      "Description": "NEXUM VALIDATION INVOICE",
      "TotalInvoiceAmtDue": "1.00"
    }
  ],
  "Token": null,
  "MessageId": "searchInvoicePagedSelectFields"
}

getInvoiceNoteSelectFields

post

Returns selected fields for an invoice note.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
InvoiceNoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getInvoiceNoteSelectFields
POST /nexum/627/persistent/accountspayable/getInvoiceNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 334

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "InvoiceNoteLocator": 2,
  "SelectableFields": {
    "IncludeAllInvoiceNoteFields": false,
    "InvoiceNoteFields": {
      "Locator": true,
      "Code": true,
      "Text": [
        1
      ],
      "UserId": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "InvoiceNote": {
    "Locator": 2,
    "Code": 45,
    "Text": [
      {
        "EntryId": 1,
        "Text": "Nexum disposable invoice note"
      }
    ],
    "UserId": 1995
  },
  "MessageId": "getInvoiceNoteSelectFields"
}

getInvoiceNotePagedListSelectFields

post

Returns a page of invoice note selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getInvoiceNotePagedListSelectFields
POST /nexum/627/persistent/accountspayable/getInvoiceNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 376

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceNoteFields": false,
    "InvoiceNoteFields": {
      "Locator": true,
      "Code": true,
      "Text": [
        1
      ]
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "InvoiceNote": [
    {
      "Locator": 2,
      "Code": 45,
      "Text": [
        {
          "EntryId": 1,
          "Text": "Nexum disposable invoice note"
        }
      ]
    }
  ],
  "Token": null,
  "MessageId": "getInvoiceNotePagedListSelectFields"
}

searchInvoiceNotePagedSelectFields

post

Searches invoice notes and returns selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchInvoiceNotePagedSelectFields
POST /nexum/627/persistent/accountspayable/searchInvoiceNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 411

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "SearchFilter": {
    "Query": "CODE=45"
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllInvoiceNoteFields": false,
    "InvoiceNoteFields": {
      "Locator": true,
      "Code": true,
      "Text": [
        1
      ]
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "InvoiceNote": [
    {
      "Locator": 2,
      "Code": 45,
      "Text": [
        {
          "EntryId": 1,
          "Text": "Nexum disposable invoice note"
        }
      ]
    }
  ],
  "Token": null,
  "MessageId": "searchInvoiceNotePagedSelectFields"
}

getVendorFmHistoryPagedListSelectFields

post

Returns a page of vendor FM history selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getVendorFmHistoryPagedListSelectFields
POST /nexum/627/persistent/accountspayable/getVendorFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 436

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllVendorFmHistoryFields": false,
    "VendorFmHistoryFields": {
      "PostDate": true,
      "RecordName": true,
      "FieldName": true,
      "OldCharacter": true,
      "NewCharacter": true,
      "UserNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "VendorFmHistory": [
    {
      "PostDate": "2010-05-08",
      "RecordName": "AP Invoice Note",
      "FieldName": "Revise AP Invoice LOC",
      "UserNumber": 800
    },
    {
      "PostDate": "2010-05-08",
      "RecordName": "AP Invoice Note",
      "FieldName": "Insert Before AP Invoice Note",
      "UserNumber": 800
    }
  ],
  "Token": null,
  "MessageId": "getVendorFmHistoryPagedListSelectFields"
}

searchVendorFmHistoryPagedSelectFields

post

Searches vendor FM history and returns selected fields.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchVendorFmHistoryPagedSelectFields
POST /nexum/627/persistent/accountspayable/searchVendorFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 483

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "SearchFilter": {
    "Query": "FIELDNAME='User ID'"
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllVendorFmHistoryFields": false,
    "VendorFmHistoryFields": {
      "PostDate": true,
      "RecordName": true,
      "FieldName": true,
      "OldCharacter": true,
      "NewCharacter": true,
      "UserNumber": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "VendorFmHistory": [
    {
      "PostDate": "2010-05-08",
      "RecordName": "AP Invoice Note",
      "FieldName": "User ID",
      "UserNumber": 800
    }
  ],
  "Token": null,
  "MessageId": "searchVendorFmHistoryPagedSelectFields"
}

updateVendorByID

post

Updates a vendor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
Responses
200

Successful operation.

application/json
post/updateVendorByID
POST /nexum/627/persistent/accountspayable/updateVendorByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 206

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "VendorFields": {
    "Name": "NEXUM W704 UPDATED"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateVendorByID"
}

updateInvoiceByID

post

Updates an invoice.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateInvoiceByID
POST /nexum/627/persistent/accountspayable/updateInvoiceByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 247

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "InvoiceFields": {
    "Description": "NEXUM VALIDATION INVOICE UPDATED"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateInvoiceByID"
}

updateInvoiceNoteByID

post

Updates an invoice note.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
InvoiceNoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateInvoiceNoteByID
POST /nexum/627/persistent/accountspayable/updateInvoiceNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 295

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "InvoiceNoteLocator": 2,
  "InvoiceNoteFields": {
    "Text": [
      {
        "EntryId": 1,
        "Text": "Nexum disposable invoice note updated"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateInvoiceNoteByID"
}

createVendor

post

Creates a new vendor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
VendorNumberstringOptional
post/createVendor
POST /nexum/627/persistent/accountspayable/createVendor HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 280

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorFields": {
    "Number": "NXW45704",
    "Name": "NEXUM W704",
    "Payee": "NEXUMW704",
    "Street": "123 TEST ST",
    "City": "TEST",
    "State": "CA",
    "ZipCode": "90000"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "VendorNumber": "NXW45704",
  "MessageId": "createVendor"
}

createInvoice

post

Creates a new invoice.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
Responses
200

Successful operation.

application/json
InvoiceLocatorintegerOptional
post/createInvoice
POST /nexum/627/persistent/accountspayable/createInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 345

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceFields": {
    "Number": "NXW45704-1",
    "Description": "NEXUM VALIDATION INVOICE",
    "InvoiceDate": "2026-07-04",
    "DueDateFinal": "2026-07-31",
    "TotalInvoiceAmtDue": "1.00",
    "Type": 0,
    "Status": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "InvoiceLocator": 1,
  "MessageId": "createInvoice"
}

createInvoiceNote

post

Creates a note for an invoice.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
Responses
200

Successful operation.

application/json
InvoiceNoteLocatorintegerOptional
post/createInvoiceNote
POST /nexum/627/persistent/accountspayable/createInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 288

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "InvoiceNoteFields": {
    "Code": 45,
    "Text": [
      {
        "EntryId": 1,
        "Text": "Nexum disposable invoice note"
      }
    ],
    "UserId": 1995
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "InvoiceNoteLocator": 2,
  "MessageId": "createInvoiceNote"
}

deleteVendor

post

Deletes a vendor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringRequired
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteVendor
POST /nexum/627/persistent/accountspayable/deleteVendor HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 161

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteVendor"
}

deleteInvoice

post

Deletes an invoice.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteInvoice
POST /nexum/627/persistent/accountspayable/deleteInvoice HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 180

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteInvoice"
}

deleteInvoiceNote

post

Deletes a note associated with an invoice.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
VendorNumberstringOptional
InvoiceLocatorintegerOptional
InvoiceNoteLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteInvoiceNote
POST /nexum/627/persistent/accountspayable/deleteInvoiceNote HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "VendorNumber": "NXW45704",
  "InvoiceLocator": 1,
  "InvoiceNoteLocator": 2,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "nxAttributes": {},
  "MessageId": "deleteInvoiceNote"
}

Last updated

Was this helpful?